#
# spec file for package arpwatch-ethercodes
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2023 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           arpwatch-ethercodes
Version:        20230808
Release:        150600.1.2
Summary:        Ethercodes Data for arpwatch
License:        BSD-3-Clause
Group:          Productivity/Networking/Diagnostic
URL:            https://standards.ieee.org/products-services/regauth/index.html
# can't use url as it's not stable and bots will decline submission. Update it 
# from here: http://standards-oui.ieee.org/oui/oui.csv
Source0:        oui.csv
Source1:        fetch_ethercodes.py
BuildRequires:  python3
BuildArch:      noarch

%description
Fetch OUI and company ID data from IEEE.org prepared for arpwatch.

%prep
%setup -q -cT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

%build
# update oui.csv by executing
#  python3 fetch_ethercodes.py -vvtp arpwatch-ethercodes.spec
# in a local build

# (re)generate ethercodes.dat from oui.csv
python3 fetch_ethercodes.py -vvkt

%install
install -Dm0444 ethercodes.dat %{buildroot}/%{_datadir}/arpwatch/ethercodes.dat

%files
%dir %{_datadir}/arpwatch
%{_datadir}/arpwatch/ethercodes.dat

%changelog
* Mon Aug 28 2023 mohd.saquib@suse.com
- Update to version 20230808 (jsc#PED-6338)
- supply a new python3 script, that fetches (in local builds) and
  generates ethercodes.dat
  [+ fetch_ethercodes.py]
- Removed URL for source0 as this causes issues with our bots
- sort existing oui.csv to show differences in future updates
- add and sort downloaded oui.csv
  [+ oui.csv]
- removed oui txt file
  [- oui.txt]
- move vim commands to a place where vim can find the commands
- Inject a QEMU/KVM entry
* Sun Mar 27 2016 mpluskal@suse.com
- Update to 2016-03-28
* Wed Jul  2 2014 coolo@suse.com
- manual update on 2014-07-02
* Sun Feb 10 2013 autobuild@suse.de
- automated update on 2013-02-10
* Tue Sep 20 2011 autobuild@suse.de
- automated update on 2011-09-20
* Sat Jul 23 2011 autobuild@suse.de
- automated update on 2011-07-23
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Nov  6 2004 lmuelle@suse.de
- Change arpwatch of neededforbuild to arpwatch-ethercodes-build.
* Sat Nov  6 2004 lmuelle@suse.de
- Ensure size of ethercodes.dat is not zero, [#48005].
* Wed Oct  6 2004 ro@suse.de
- make package noarch
* Fri Jun 25 2004 lmuelle@suse.de
- Initial package.
